Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Problemen bij opstart en oplossen foutmelding  (gelezen 1255 keer)

Offline JosD

  • Lid
Problemen bij opstart en oplossen foutmelding
« Gepost op: 2014/11/30, 18:33:36 »
Hallo,
Ik ben een beginnende Ubuntugebruiker, heb een paar maanden geleden de 14.04 trusty Tahr geinstalleerd, en daarna een aantal extra programma's, waaronder ook Synaptec pakketbeheer.  Intussen heb ik al enkele weken een probleem bij het opstarten dat ik voorlopig maar niet opgelost krijg, waardoor ik ook geen updates deftig kan binnenhalen.  Het gaat om het volgende: van zodra het ubuntu-opstartscherm verschijnt, verschijnt ook een foutmeldingsvenster waarin staat dat "de toepassing pulseaudio ... werd onverwacht gesloten."  Dat op zich is al raar, want als ik naar het softwarecentrum ga, dan heb ik het programma pulseaudio niet eens geinstalleerd !Bovenaan rechts krijg ik een menuknop in de vorm van een verbodsteken, en bij openklikken zie ik volgende boodschap : "Er is een probleem opgetreden. Start pakketbeheer uit het snelmenu of via apt get in een terminal om te zien wat er mis is. De foutmelding was : “Fout: BrokenCount > 0” Dit betekent meestal dat enkele softwarepakketten op uw computer afhankelijk zijn van pakketten die (nog) niet zijn geïnstalleerd."
Als ik echter in Synaptec zoek op "defect", dan krijg ik een negental bestanden waar in de opmerking het woord defect vermeld staat, maar op basis daarvan kan ik helemaal niet uitmaken welke pakketten nu eigenlijk defect zijn.  Als ik bovendien deze 9 nader bekijk, is blijkbaar geen enkele van deze geinstalleerd.  Is dat dan wat ik moet doen ? Onder het menu 'bewerken' kan je ook kiezen voor 'defecte pakketten repareren', maar je moet wel de defecte aanstippen, en als hij zegt dat er 3 defect zijn en hij toont er 9, hoe kan ik dan uitmaken welke dan juist de defecte zijn ?
Hopelijk weet iemand hier een oplossing voor, want ik sukkel hier al een tijdje mee, en het systeem draait al een tijdje in rondjes zonder einde: ik kan niets installeren omdat er defecte pakketten zijn, en ik kan de defecte pakketten niet verwijderen omdat ik niks kan installeren ... :|
Alvast bedankt voor reacties.
'



Offline EZ-man

  • Lid
  • Steunpunt: Nee
Re: Problemen bij opstart en oplossen foutmelding
« Reactie #1 Gepost op: 2014/11/30, 19:18:12 »
@JosD: een stap voor stap aanpak lijkt mij op dit moment het beste:
   “Fout: BrokenCount > 0” Dit betekent meestal dat enkele softwarepakketten op uw computer afhankelijk zijn van pakketten die (nog) niet zijn geïnstalleerd."
Er is bij één van de software installaties iets mis gegaan, zie ook :  AskUbuntu.com . Dit is te herstellen door in een terminal venster in te voeren :
sudo apt-get -f install

Offline JosD

  • Lid
Re: Problemen bij opstart en oplossen foutmelding
« Reactie #2 Gepost op: 2014/12/01, 19:09:13 »
@EZ-man: als ik dat uitvoer, krijg ik het volgende terug:

jos@jos-Satellite-L670:~$ sudo apt-get -f install
[sudo] password for jos:
sudo: kan /var/lib/sudo/jos/3 niet openen: Bestand of map bestaat niet
W: Er wordt geen vergrendeling gebruikt voor het alleen-lezen-vergrendelingsbestand /var/lib/dpkg/lock
E: Kan niet naar /var/cache/apt/ schrijven
E: De pakketlijsten of het statusbestand konden of niet ontleed, of niet geopend worden.

Offline HarzG

  • Lid
  • Steunpunt: Nee
Re: Problemen bij opstart en oplossen foutmelding
« Reactie #3 Gepost op: 2014/12/01, 21:40:28 »
E: Kan niet naar /var/cache/apt/ schrijven
E: De pakketlijsten of het statusbestand konden of niet ontleed, of niet geopend worden.
Als je 2 beheerder-programma's tegelijkertijd open hebt, krijgt het laatst geopende geen toestemming om iets met dpkg te doen. Sluit software-center en/of Synaptic en voer de opdracht in het terminalvenster opnieuw uit.
Xubuntu 16.04; siduction-15.1.0 Xfce

Offline JosD

  • Lid
Re: Problemen bij opstart en oplossen foutmelding
« Reactie #4 Gepost op: 2014/12/03, 19:17:14 »
@HarzG
Oké, ik probeer eens opnieuw, en idd, hij geeft nu iets anders (zie hieronder):

"jos@jos-Satellite-L670:~$ sudo apt-get -f install
[sudo] password for jos:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
De volgende pakketten zijn automatisch geïnstalleerd en zijn niet langer nodig:
  linux-image-3.13.0-40-generic linux-image-extra-3.13.0-40-generic
  linux-image-generic
Use 'apt-get autoremove' to remove them.
De volgende extra pakketten zullen geïnstalleerd worden:
  linux-image-3.13.0-37-generic linux-image-3.13.0-40-generic
Voorgestelde pakketten:
  fdutils linux-doc-3.13.0 linux-source-3.13.0 linux-tools
  linux-headers-3.13.0-40-generic
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  linux-image-3.13.0-37-generic linux-image-3.13.0-40-generic
0 pakketten opgewaardeerd, 2 pakketten nieuw geïnstalleerd, 0 te verwijderen en 124 niet opgewaardeerd.
13 pakketten niet volledig geïnstalleerd of verwijderd.
Er moeten 0 B/30,3 MB aan archieven opgehaald worden.
Door deze operatie zal er 84,2 MB extra schijfruimte gebruikt worden.
Wilt u doorgaan? [J/n] "

Bij "Wilt u doorgaan?" heb ik uiteraard Ja gedrukt, en dan krijg ik volgende :
"debconf: Perl may be unconfigured (Can't locate IO/File.pm in @INC (you may need to install the IO::File module) (@INC contains: /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl .) at /usr/share/perl/5.18/FileHandle.pm line 9.
Compilation failed in require at (eval 1) line 3.
BEGIN failed--compilation aborted at (eval 1) line 3.
) -- aborting
Instellen van tzdata (2014i-0ubuntu0.14.04) ...
Can't locate IO/File.pm in @INC (you may need to install the IO::File module) (@INC contains: /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl .) at /usr/share/perl/5.18/FileHandle.pm line 9.
Compilation failed in require at /usr/share/perl5/Debconf/Template.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Template.pm line 8.
Compilation failed in require at /usr/share/perl5/Debconf/Question.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Question.pm line 8.
Compilation failed in require at /usr/share/perl5/Debconf/Config.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Config.pm line 7.
Compilation failed in require at /usr/share/perl5/Debconf/Log.pm line 10.
Compilation failed in require at /usr/share/perl5/Debconf/Db.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Db.pm line 7.
Compilation failed in require at /usr/share/debconf/frontend line 6.
BEGIN failed--compilation aborted at /usr/share/debconf/frontend line 6.
dpkg: error processing package tzdata (--configure):
 subproces installed post-installation script gaf een foutwaarde 2 terug
Fouten gevonden tijdens behandelen van:
 tzdata
E: Sub-process /usr/bin/dpkg returned an error code (1)"

Ik lees daar bovenaan dat "Perl may be unconfigured..." en nog wel andere zaken.  Kunt u hieruit opmaken
wat er mij verder te doen staat ? Alvast dank.


Offline HarzG

  • Lid
  • Steunpunt: Nee
Re: Problemen bij opstart en oplossen foutmelding
« Reactie #5 Gepost op: 2014/12/03, 21:48:57 »
Voor een ander probleem heb ik deze stappen geadviseerd. Kan het probleem opgelost worden als je de stappen in de genoemde volgorde uitvoert?
Xubuntu 16.04; siduction-15.1.0 Xfce

Offline JosD

  • Lid
Re: Problemen bij opstart en oplossen foutmelding
« Reactie #6 Gepost op: 2014/12/09, 19:47:34 »
Hallo HarzG,

Even die 4 stappen uitgevoerd, en bij de vierde stap wordt het volgende getoond:

jos@jos-Satellite-L670:~$ sudo apt-get -f install
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
De volgende pakketten zijn automatisch geïnstalleerd en zijn niet langer nodig:
  linux-image-3.13.0-40-generic linux-image-extra-3.13.0-40-generic
  linux-image-generic
Use 'apt-get autoremove' to remove them.
De volgende extra pakketten zullen geïnstalleerd worden:
  linux-image-3.13.0-37-generic linux-image-3.13.0-40-generic
Voorgestelde pakketten:
  fdutils linux-doc-3.13.0 linux-source-3.13.0 linux-tools
  linux-headers-3.13.0-40-generic
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  linux-image-3.13.0-37-generic linux-image-3.13.0-40-generic
0 pakketten opgewaardeerd, 2 pakketten nieuw geïnstalleerd, 0 te verwijderen en 170 niet opgewaardeerd.
13 pakketten niet volledig geïnstalleerd of verwijderd.
Er moeten 30,3 MB aan archieven opgehaald worden.
Door deze operatie zal er 84,2 MB extra schijfruimte gebruikt worden.
Wilt u doorgaan? [J/n]

Dan heb ik op J gedrukt uiteraard, en dan komt het volgende:

Ophalen:1 http://security.ubuntu.com/ubuntu/ trusty-security/main linux-image-3.13.0-37-generic amd64 3.13.0-37.64 [15,1 MB]
Ophalen:2 http://security.ubuntu.com/ubuntu/ trusty-security/main linux-image-3.13.0-40-generic amd64 3.13.0-40.69 [15,1 MB]
30,3 MB opgehaald in 13s (2.196 kB/s)                                         
debconf: Perl may be unconfigured (Can't locate IO/File.pm in @INC (you may need to install the IO::File module) (@INC contains: /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl .) at /usr/share/perl/5.18/FileHandle.pm line 9.
Compilation failed in require at (eval 1) line 3.
BEGIN failed--compilation aborted at (eval 1) line 3.
) -- aborting
Instellen van tzdata (2014i-0ubuntu0.14.04) ...
Can't locate IO/File.pm in @INC (you may need to install the IO::File module) (@INC contains: /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl .) at /usr/share/perl/5.18/FileHandle.pm line 9.
Compilation failed in require at /usr/share/perl5/Debconf/Template.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Template.pm line 8.
Compilation failed in require at /usr/share/perl5/Debconf/Question.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Question.pm line 8.
Compilation failed in require at /usr/share/perl5/Debconf/Config.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Config.pm line 7.
Compilation failed in require at /usr/share/perl5/Debconf/Log.pm line 10.
Compilation failed in require at /usr/share/perl5/Debconf/Db.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Db.pm line 7.
Compilation failed in require at /usr/share/debconf/frontend line 6.
BEGIN failed--compilation aborted at /usr/share/debconf/frontend line 6.
dpkg: error processing package tzdata (--configure):
 subproces installed post-installation script gaf een foutwaarde 2 terug
Fouten gevonden tijdens behandelen van:
 tzdata
E: Sub-process /usr/bin/dpkg returned an error code (1)

Mogelijk is er dus wel één en ander positief gebeurd, maar blijkbaar toch ook nog steeds een fout bij die tzdata.
Zijn er nog stappen die ik kan nemen ?

Offline JosD

  • Lid
Re: Problemen bij opstart en oplossen foutmelding
« Reactie #7 Gepost op: 2014/12/16, 20:20:49 »
Eén van de meldingen die ik krijg bij het uitvoeren van de opdrachten is "you may need to install the IO::File module".

@HarzG: Is dit mogelijk de oplossing van mijn probleem ? Kunt u mij eventueel uitleggen hoe ik deze installatie kan invoeren
in de terminal ? Is het iets in de trant van "sudo apt-get install IO::File" ?


Offline JosD

  • Lid
Re: Problemen bij opstart en oplossen foutmelding
« Reactie #8 Gepost op: 2014/12/17, 19:19:22 »
Oké, in Synaptic pakketbeheer heb ik eindelijk  >:( die 3 defecte pakketten kunnen lokaliseren met de "aangepaste filters".
Het gaat om de volgende :
1/ linux-image-extra-3.13.0-37-generic :  Linux kernel extra modules for version 3.13.0 on 64 bit x86 SMP
de uitleg die erbij staat, gaat als volgt:

"This package contains the Linux kernel extra modules for version 3.13.0 on
64 bit x86 SMP.

Also includes the corresponding System.map file, the modules built by the
packager, and scripts that try to ensure that the system is not left in an
unbootable state after an update.

Supports Generic processors.

Geared toward desktop and server systems.

You likely do not want to install this package directly. Instead, install
the linux-generic meta-package, which will ensure that upgrades work
correctly, and that supporting packages are also installed."

2/ linux-image-extra-3.13.0-40-generic : Linux kernel extra modules for version 3.13.0 on 64 bit x86 SMP
Hetzelfde als de eerste dus, maar een "hogere" versie, en met dezelfde uitleg als bij 1/

3/ linux-image-generic : Generic Linux kernel image
Uitleg erbij:  "This package will always depend on the latest generic kernel image available."

Vraag: Wat moet ik hier nu mee aanvangen ? Moet ik deze pakketten verwijderen ?
En moet ik opvolgen wat in die uitleg staat, nl.  "Instead, install the linux-generic meta-package" ?
Kan ik dat doen door in de terminal in te geven : sudo apt-get install linux-generic meta-package  ?

Offline JosD

  • Lid
Re: Problemen bij opstart en oplossen foutmelding
« Reactie #9 Gepost op: 2015/01/18, 15:14:37 »
Uiteindelijk heb ik gekozen voor een (geslaagde) herinstallatie van Ubuntu, en daarmee is het probleem opgelost geraakt.